# $Revision: 1.18 $, $Date: 2002/05/30 10:22:54 $
Summary:	An X Window System game of falling jewel blocks
Summary(de):	Game von der Art von Segas COLUMNS
Summary(fr):	Jeu du style Columns de Sega
Summary(pl):	Gra pod X Window System - spadajce bloki
Summary(tr):	Sega'nn columns'una benzer oyun
Name:		xjewel
Version:	1.6
Release:	19
License:	MIT
Group:		X11/Applications/Games
Source0:	ftp://ftp.x.org/R5contrib/%{name}-%{version}.tar.z
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-imake.patch
Patch1:		%{name}-enhance.patch
Patch2:		%{name}-nobr.patch
Patch3:		%{name}-select.patch
Icon:		xjewel.gif
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		/usr/X11R6/man

%description
Xjewel is an X Window System game much like Domain/Jewelbox, Sega's
Columns and/or Tetris. The point of the game is to move or rotate the
blocks as they fall, to get jewels in patterns of three when they come
to rest.

%description -l de
Jewel hat groe hnlichkeit mit Domain/Jewelbox, einem Puzzle-Game in
der Tetris-Manier. Die Aufgabe besteht darin, die Bewegung der Blcke
zu steuern, die vom oberen Bildschirmrand nach unten fallen. Man kann
sie nach links und nach rechts bewegen und die Segmente drehen. Der
Spieler versucht, mglichst viele Punkte einzuheimsen, bevor sein
Lebensfaden abgezwackt wird.

%description -l fr
jewel est un jeu comme Domain/Jewelbox qui est un jeu de puzzle de
style Tetris.

On y joue en contrlant le dplacement des blocs qui tombent du haut
de l'cran. On peut les dplacer  droite et  gauche et les faire
tourner. Le but est d'avoir le plus de points possible avant que la
Faucheuse n'y mette un terme.

%description -l pl
Xjewel jest gr pod X Window System podobn do Domain/Jewelbox,
Columns znanej z Segi lub Tetrisa. Celem gry jest przesuwanie lub
rotacja blokw podczas spadania, aby uoy skadajce si na nie
klejnoty w trjki w celu usunicia.

%description -l tr
Jewel, Domain/Jewelbox ya da Tetris benzeri bir bulmaca oyunudur. Ama
den bloklar saa/sola evirerek ya da dndrerek uygun biimde
yerletirmektir.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0

%build
xmkmf
%{__make} CDEBUGFLAGS="%{rpmcflags}" \
	HSCORE_FILE=/var/games/xjewel.scores

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Games/Arcade,%{_pixmapsdir},/var/games}

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	HSCORE_FILE=/var/games/xjewel.scores

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games/Arcade
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(2755,root,games) %{_bindir}/xjewel
%{_mandir}/man1/xjewel.1x*
%attr(664,root,games) %config(noreplace) %verify(not mtime size md5) /var/games/xjewel.scores
%{_applnkdir}/Games/Arcade/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xjewel.spec,v $
Revision 1.18  2002/05/30 10:22:54  kloczek
- desktop file moved to Games/Arcade/ and added using more macros.

Revision 1.17  2002/05/29 21:26:25  ankry
- applnk icon made transparent
- release 19

Revision 1.16  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/02 23:17:02  qboosh
- fixed score file access (sgid games binary)

Revision 1.12  2001/10/31 23:48:10  qboosh
- changed imake patch (FHS 2.1/2.2): /var/lib/games -> /var/games
- pl description
- release 18

Revision 1.11  2001/05/28 23:56:00  kloczek
- release 17: new icon.

Revision 1.10  2001/05/03 01:14:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.9  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.8  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.6  2000/05/03 23:45:31  kloczek
- release 14,
- added de, fr, tr translations from old Bero Linux spec file,
- wmconfig file replaced by desktop,
- added package icon,
- spec adapterized,
- added select patch from rawhide.

Revision 1.5  2000/04/25 16:16:49  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw
